package cn.fw.hermes.domain.dto;

import cn.fw.common.validator.EnumValue;
import cn.fw.hermes.domain.enums.PlatformTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 测试实体
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 测试实体
 * @date : 2023-08-14 09:23
 */
@Data
public class MsgDebugDTO {
    @NotNull(message = "用户不能为空")
    private Long userId;
    @NotNull(message = "平台类型不能为空")
    @EnumValue(enumClass = PlatformTypeEnum.class, message = "平台类型不正确")
    private  Integer platform;
}
