package cn.fw.hermes.domain.vo;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author : 张志伟
 * @date : 2018-09-08 15:18
 * @desc : AccountResultVO
 */
@Data
@ToString
public class AccountResultVO {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 账号
     */
    private String identifier;
    /**
     * 昵称
     */
    private String nickName;
    /**
     * 客户端id 全局唯一
     */
    private String clientId;
    /**
     * 主题列表
     */
    private List<String> topics;
}
