package cn.fw.hermes.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 自定义消息业务类型
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 自定义消息业务类型
 * @date : 2023-07-27 11:09
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MsgBizTypeVO {
    private Long id;
    /**
     * 业务类型
     */
    private String type;
    /**
     * 类型描述
     */
    private String typeDesc;
}
