package cn.fw.hermes.domain.vo;

import cn.fw.hermes.domain.db.SysPlatform;
import lombok.Data;

/**
 * 设备平台vo
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 设备平台vo
 * @date : 2023-06-25 11:16
 */
@Data
public class PlatformVO {
    private Long id;
    private String platformCode;
    private String platformName;

    public static PlatformVO with(SysPlatform platform) {
        PlatformVO vo = new PlatformVO();
        vo.setId(platform.getId());
        vo.setPlatformCode(platform.getPlatformCode());
        vo.setPlatformName(platform.getPlatformName());
        return vo;
    }
}
