package cn.fw.hermes.config

import com.baomidou.mybatisplus.core.incrementer.IdentifierGenerator
import com.github.yitter.idgen.YitIdHelper
import org.springframework.stereotype.Component

/**
 * 自定义id生成器
 *
 * @author kurisu
 */
@Component
class CustomIdIdentifierGenerator : IdentifierGenerator {
    override fun nextId(entity: Any): Long {
        return YitIdHelper.nextId()
    }
}
