package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.AppUpdateMsg;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 应用更新
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 应用更新
 * @date : 2023-08-14 10:20
 */
public interface AppUpdateMsgService extends IService<AppUpdateMsg> {
    @Transactional(rollbackFor = Exception.class)
    void updateLatestFlag(List<Long> idList);
}
