package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.SysPlatform;
import cn.fw.hermes.domain.dto.PlatformDTO;
import cn.fw.hermes.domain.enums.PlatformTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 系统平台
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 系统平台
 * @date : 2023-06-21 15:47
 */
public interface SysPlatformService extends IService<SysPlatform> {

    List<SysPlatform> queryPlatforms();
    SysPlatform queryPlatformByType(PlatformTypeEnum platformTypeEnum);
    void modifyAndAdd(PlatformDTO platform);
}
