package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.SysTopic;
import cn.fw.hermes.domain.dto.TopicDTO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 系统主题
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 系统主题
 * @date : 2023-06-21 15:44
 */
public interface SysTopicService extends IService<SysTopic> {
    List<SysTopic> queryTopics();

    void modifyAndAdd(TopicDTO topicDTO);
}
