package cn.fw.hermes.service.property

import org.springframework.boot.context.properties.ConfigurationProperties

/**
 * 信鸽配置
 *
 * @author : kurisu
 * @version : 1.0
 * @desc : 信鸽配置
 * @date : 2023-12-28 18:05
 */
@ConfigurationProperties(prefix = "xinge")
data class XinGeProperty(
    var appId: String?,
    var secretKey: String?,
    var connectTimeOut: Int = 10,
    var readTimeOut: Int = 10,
    var domainUrl: String?
)
