insert into hermes (identifier, nick_name, face_url, account_type, user_id, state, create_time, create_day,
                    update_time)
VALUES ('admin', '管理员', 'https://www.feewee.cn/img/jsfw.png', 99, -1, 1, now(), now(), now());

# 导入b端用户信息
insert into hermes(identifier, nick_name, face_url, account_type, user_id, state, create_time, create_day,
                   update_time)
SELECT identifier_code,
       nick_name,
       face_url,
       1,
       user_id,
       1,
       create_time,
       create_time,
       update_time
from account
where user_type = 1
  and `status` = 1
  and user_id > 0;



insert into sys_platform(platform_type, platform_code, platform_name)
values (1, '89b3f3ef', '霏车车集团版');
insert into sys_platform(platform_type, platform_code, platform_name)
values (2, 'oKyioWCW', '霏微WEB端');
insert into sys_platform(platform_type, platform_code, platform_name)
values (3, 'hwAm2OE8', '霏微报表');
insert into sys_platform(platform_type, platform_code, platform_name)
values (4, 'QqyoqDHQ', '霏微H5');
insert into sys_platform(platform_type, platform_code, platform_name)
values (5, '90nKHuE4', '霏车车小程序');
insert into sys_platform(platform_type, platform_code, platform_name)
values (6, '6b31e5f3', '霏微出行版');

insert into sys_topic (topic, topic_desc, preset, yn)
values ('all', '全量设备', 1, 1);
insert into sys_topic (topic, topic_desc, preset, yn)
values ('single/${identifier}', '用户${identifier}的所有设备', 0, 1);
insert into sys_topic (topic, topic_desc, preset, yn)
values ('user/${identifier}/${platform}', '用户${identifier}的平台${platform}消息', 0, 1);
insert into sys_topic (topic, topic_desc, preset, yn)
values ('platform/${platform}', '平台${platform}的所有用户消息', 0, 1);
insert into sys_topic (topic, topic_desc, preset, yn)
values ('chat/user/${identifier}/inbox', '用户${identifier}的聊天消息', 0, 0);
insert into sys_topic (topic, topic_desc, preset, yn)
values ('chat/group/${groupId}/inbox', '群${groupId}的聊天消息', 0, 0);


drop table if exists account;
drop table if exists business_account;
drop table if exists chat_pull_record;
drop table if exists chat_record;
drop table if exists sys_msg;
