package cn.fw.hermes.common.utils

import cn.hutool.core.lang.Dict
import org.junit.Test

/**
 * 测试工具
 *
 * @author : kurisu
 * @version : 1.0
 * @desc : 测试工具
 * @date : 2024-01-05 16:59
 */
class Tests {

    @Test
    fun testUUID() {
        println(UUIDUtils.newRandomUUid())
    }

    @Test
    fun testTemplate() {
        val dict = Dict.create()
        dict["identifier"] = "b0123"
        dict["platform"] = "89b3f3ef"
        dict["groupId"] = "89"
        val render: String? = TemplateHelper.render("platform/\${identifier}/\${platform}", dict)
        println(render)
    }
}
