package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 消息自定义业务类型
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息自定义业务类型
 * @date : 2023-07-27 11:07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MessageBusinessType extends BaseEntity<MessageBusinessType, Long> {
    /**
     * 业务类型
     */
    private String type;
    /**
     * 类型描述
     */
    private String typeDesc;
}
