package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.hermes.domain.enums.PlatformTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 系统平台
 *
 * @author : kurisu
 * @version : 2.0
 * @className : SysPlatform
 * @description : 系统平台
 * @date : 2023-06-21 14:52
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SysPlatform extends BaseEntity<SysPlatform, Long> {
    /**
     * 平台类型
     */
    private PlatformTypeEnum platformType;
    /**
     * 平台码
     */
    private String platformCode;
    /**
     * 平台名称
     */
    private String platformName;
}
