package cn.fw.hermes.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 主题dto
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 主题dto
 * @date : 2023-06-25 11:11
 */
@Data
public class TopicDTO {
    private Long id;
    @NotBlank(message = "主题不能为空")
    private String topic;
    private String topicDesc;
    @NotNull(message = "是否是内置主题不能为空")
    private Boolean preset;
}
