package cn.fw.hermes.domain.vo;

import lombok.Data;

import java.time.LocalTime;

/**
 * 勿扰设置
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 勿扰设置
 * @date : 2023-07-27 15:05
 */
@Data
public class DisturbSettingVO {
    private Long id;
    /**
     * 是否启用
     */
    private Boolean enabled;
    /**
     * 勿扰模式开始时间
     */
    private LocalTime startTime;
    /**
     * 勿扰模式结束时间
     */
    private LocalTime endTime;
}
