package cn.fw.hermes.domain.vo;

import cn.fw.hermes.domain.db.SysTopic;
import lombok.Data;

/**
 * 主题vo
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 主题vo
 * @date : 2023-06-25 11:11
 */
@Data
public class TopicVO {
    private Long id;
    private String topic;
    private String topicDesc;
    private Boolean preset;

    public static TopicVO with(SysTopic topic) {
        TopicVO vo = new TopicVO();
        vo.setId(topic.getId());
        vo.setTopic(topic.getTopic());
        vo.setTopicDesc(topic.getTopicDesc());
        vo.setPreset(topic.getPreset());
        return vo;
    }
}
