package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.Hermes;
import cn.fw.hermes.domain.dto.HermesDTO;
import cn.fw.hermes.domain.enums.AccountTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 账号信息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 账号信息
 * @date : 2023-06-21 15:48
 */
public interface HermesService extends IService<Hermes> {
    Hermes queryByUserId(Long userId, AccountTypeEnum accountTypeEnum);

    void saveByDto(HermesDTO dto);
}
